Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create slack channel

POST/workspaces/{organizationId}/slack/channel
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
channelIdstringrequired
min length 1
Responses
200

Default channel updated

installedbooleanrequired
teamIdstring | nullrequired
teamNamestring | nullrequired
defaultChannelIdstring | nullrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/slack/channel' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "channelId": "string"
}'
Response
{
  "installed": true,
  "teamId": "string",
  "teamName": "string",
  "defaultChannelId": "string"
}

Was this page helpful?